Skip to content
Get started

Update Product List Lines

ProductListUpdateProductListLinesResponse ProductLists.UpdateProductListLines(ProductListUpdateProductListLinesParamsparameters, CancellationTokencancellationToken = default)
POST/api/v2/public/stores/{store_number}/productlists/{id}

Adds or updates lines on an existing product list, using the list id. Each line has a product, a stock pool and a quantity.

ParametersExpand Collapse
ProductListUpdateProductListLinesParams parameters
required string storeNumber

Path param: The store number.

required Long id

Path param: The product list identifier to update.

formatint64
IReadOnlyList<Body> body

Body param

Deprecatedstring? ArticleNo

Deprecated wire-name for CountingCloud.Entities.Entities.Request.PorductList.ProductListLineswithStockRequestModel.ProductNumber. Read on input only; never serialized. Use product_number for new integrations.

string? Barcode

The product barcode.

string? ProductNumber

Product number identifying the line item.

Double Quantity

Quantity on the line.

formatdouble
string? StockPool

Stock pool the line targets.

string apiKey

Header param

ReturnsExpand Collapse
class ProductListUpdateProductListLinesResponse:
Int? Code
formatint32
string? Data
string? Message
string? Status

Update Product List Lines

ProductListUpdateProductListLinesParams parameters = new()
{
    StoreNumber = "store_number",
    ID = 0,
};

var response = await client.ProductLists.UpdateProductListLines(parameters);

Console.WriteLine(response);
{
  "code": 0,
  "data": "data",
  "message": "message",
  "status": "status"
}
{
  "code": 401,
  "status": "error",
  "message": "Authentication failed.",
  "error": "unauthorized",
  "error_description": "Authentication failed."
}
{
  "code": 500,
  "status": "fail",
  "message": "The request could not be processed.",
  "error": "internal_error",
  "error_description": "The request could not be processed."
}
Returns Examples
{
  "code": 0,
  "data": "data",
  "message": "message",
  "status": "status"
}
{
  "code": 401,
  "status": "error",
  "message": "Authentication failed.",
  "error": "unauthorized",
  "error_description": "Authentication failed."
}
{
  "code": 500,
  "status": "fail",
  "message": "The request could not be processed.",
  "error": "internal_error",
  "error_description": "The request could not be processed."
}